POST
/v2/mgmt/password/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
enabled?boolean
minLength?integer
Format
int32lowercase?boolean
uppercase?boolean
number?boolean
nonAlphanumeric?boolean
anyLetter?boolean
disallowedCharacters?string
Length
length <= 1024disallowEmailMatch?boolean
expiration?boolean
expirationWeeks?integer
Format
int32reuse?boolean
reuseAmount?integer
Format
int32lock?boolean
lockAttempts?integer
Format
int32tempLock?boolean
tempLockAttempts?integer
Format
int32tempLockDuration?integer
Format
int32enablePasswordStrength?boolean
passwordStrengthScore?integer
Format
int32maskError?boolean
emailConnectorId?string
Length
length <= 254emailTemplateId?string
Active template selection by id. Absent = keep the current selection; "" = reset to the built-in System template; a template id = select that stored template. Note that the same stored templates serve both the magic link and enchanted link reset flavors.
Length
length <= 254externalEmailTemplateId?string
Length
length <= 254rolePolicies?object
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Set the project's password settings, using a valid management key.
curl -X POST "https://api.descope.com/v2/mgmt/password/settings" \ -H "Content-Type: application/json" \ -d '{}' Was this helpful?